libssh_error(3)

NAME
libssh_error - The SSH error functions.

Functions for error handling.

  Functions
const char * ssh_get_error (void *error)
Retrieve the error text message from the last error.
int ssh_get_error_code (void *error)
Retrieve the error code from the last error.

Detailed Description

Functions for error handling.

Function Documentation

  const char* ssh_get_error (void * error)

Retrieve the error text message from the last error.

Parameters:
    error An ssh_session or ssh_bind.

Returns:
    A static string describing the error.

Referenced by ssh_scp_init(), ssh_scp_leave_directory(), ssh_scp_push_directory(), and ssh_scp_push_file64().

  int ssh_get_error_code (void * error)

Retrieve the error code from the last error.

Parameters:
    error An ssh_session or ssh_bind.

Returns:
    SSH_NO_ERROR No error occurred
     SSH_REQUEST_DENIED The last request was denied but situation is recoverable
     SSH_FATAL A fatal error occurred. This could be an unexpected disconnection
     Other error codes are internal but can be considered same than SSH_FATAL.

Author

Generated automatically by Doxygen for libssh from the source code.